> For the complete documentation index, see [llms.txt](https://docs.developers.thundercore.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developers.thundercore.com/tool/tools/subgraph.md).

# Subgraph

ThunderCore subgraph provides developers to query some dapp blockchain data via GraphQL, which is a convenient choice for client applications based on web technologies that use HTTP/REST APIs to talk to other services.

## Official Subgraphs

| Name                                                                                        | Description                                                                                              |
| ------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| [`TT Mining(StableCoin)`](https://graph-node.thundercore.com/subgraphs/name/tt-mining/v5)   | A one-stop DeFi platform where you can earn profits in `stablecoins`.                                    |
| [`TT Mining(TT)`](https://graph-node.thundercore.com/subgraphs/name/tt-mining/tt-stakingv2) | A one-stop DeFi platform where you can earn profits in `TT`.                                             |
| [`TTSwap`](https://graph-node.thundercore.com/subgraphs/name/ttswap)                        | A DEX (decentralized exchange) on the ThunderCore blockchain based on the AMM model inspired by Uniswap. |

## GraphQL Query Example

#### TT Mining(StableCoin)

```
query tvlQuery {
  v5TotalValueLockeds {
    id
    amount
  }
}
```

#### TT Mining(TT)

```
query subscriptionV2 {
  ttsubscriptions(id: "", first: 10) {
    id
    plan {
      duration
      interestRate
      id
      subscribedCount
    }
    couponID
    amount
    interest
    starttime
    endtime
    redeemed
  }
}
```

#### TTSwap

```
query exchangesQuery {
  exchanges {
    tokenAddress
    tokenBalance
    tokenName
  }
}
```

## Third Party Sugbraphs

If you want to apply to deploy a subgraph using ThunderCore's infrastructure, please contact `support@thundercore.com`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.developers.thundercore.com/tool/tools/subgraph.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
